Simpler Navigation coming for Servers and Operating Systems
Coming soon: a much simpler Servers and Operating Systems section of the Community. We will combine many of the older boards, and you won't have to click through so many levels to get at the information you need. If you are looking for an older board and do not find it, check the consolidated boards, as the posts are still there.
cancel
Showing results for 
Search instead for 
Did you mean: 

Install dbd with Oracle 816

aaa_17
Advisor

Install dbd with Oracle 816

Hi,
I'm try to install the dbd:Oracle and use 'make' without error. However, it can't found the nbeq8. Does anyone know how to overcome this problem.

What is this library? and how can we link it ?

...
...
# make test
make -f Makefile.aperl perl
Writing ./perlmain.c
cd . && gcc -c -I/opt/perl/lib/5.6.1/PA-RISC1.1-thread-multi/CORE -D_POSIX_C_SOURCE=199506L -D_HPUX_SOURCE -L/lib/pa1.1 -DUINT32_MAX_BROKEN -mpa-risc-1-1 -fPIC -fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O -DVERSION=\"1.12\" -DXS_VERSION=\"1.12\" -I/opt/perl/lib/5.6.1/PA-RISC1.1-thread-multi/CORE perlmain.c
gcc -L/usr/local/lib -Wl,-E -o perl -O ./perlmain.o Oracle.o dbdimp.o oci7.o oci8.o blib/arch/auto/DBD/Oracle/Oracle.a /opt/perl/lib/5.6.1/PA-RISC1.1-thread-multi/auto/DynaLoader/DynaLoader.a /opt/perl/lib/5.6.1/PA-RISC1.1-thread-multi/CORE/libperl.a `cat blib/arch/auto/DBD/Oracle/extralibs.all` -lnsl -lnm -lmalloc -ldld -lm -lpthread -lc -lndir -lcrypt -lsec
/usr/ccs/bin/ld: Can't find library for -lnbeq8
collect2: ld returned 1 exit status
*** Error exit code 1

Stop.
*** Error exit code 1

Stop.

Thanks.
1 REPLY
David Cogley_1
Occasional Advisor

Re: Install dbd with Oracle 816

See hp-ux > languages > Perl DBD::Oracle Failure dated February 27th. Eric Ladner's response dated February 27th should fix the nbeq8 problem for you.